Page MenuHomePhabricator

[Regression] Links to userpage and usertalk are in the wrong order in RTL language
Closed, ResolvedPublic

Description

The links "user" and "usertalk" in the top left display moved after upgrade to 1.21wmf4 on RTL wikis.

Steps to reproduce:

  1. log in to an RTL wiki
  2. change the lang to the wikis lang
  3. see the movement of your user name and user talk link move to the most left side next to "log-out" link.

Best


Version: 1.21.x
Severity: major
URL: https://he.wikipedia.org/w/index.php?uselang=he

Details

Reference
bz42337

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 12:51 AM
bzimport set Reference to bz42337.
Matanya created this task.Nov 21 2012, 8:43 PM

Adding: This is relevant only to vector users. Other skins are not affected.

So the (talk) link should be before the Username link in RTL, right ?

(In reply to comment #2)

So the (talk) link should be before the Username link in RTL, right ?

No, after. From right to left - name (talk) preferences

The regression is from https://gerrit.wikimedia.org/r/#/c/31728 . It introduces manual echoing of some elements and takes them out of their order in the array.

I suppose that the global $wgVectorCombineUserTalk can be eliminated by now.

Merged, waiting for deployment.

(In reply to comment #4)

Patch here:
https://gerrit.wikimedia.org/r/#/c/34849/

Reverted in https://gerrit.wikimedia.org/r/35016. Re-opening this bug for now while I have the tab open.

Another attempt here:
https://gerrit.wikimedia.org/r/#/c/35027/

I simply removed the parentheses, which seemed to be the most controversial issue.

Patch merged -> marking as fixed.

I reopened bug 41672 in case we want to reimplement this.

Does no-one feel that the parentheses were a nice to have feature? ANyone going to try to reimplement them?

ori added a comment.Nov 28 2012, 11:41 AM

Yes, I'd like to. I found the experience a bit stressful so I'm stepping away from it with the intention of picking it back up in a few days.

Understood :) Thanks for your work on the issue, I came to quite like the new format.

Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:20 PM